%global pypi_name referencing

Name:           python-referencing
Version:        0.35.1
Release:        %mkrel 1
Summary:        JSON Referencing + Python
Group:          Development/Python
License:        MIT
URL:            https://github.com/python-jsonschema/referencing
Source:         %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros

%description
An implementation-agnostic implementation of JSON reference resolution. In
other words, a way for e.g. JSON Schema tooling to resolve the $ref keywords
across all drafts without needing to implement support themselves.

%package -n     python3-referencing
Summary:        %{summary}

%description -n python3-referencing
An implementation-agnostic implementation of JSON reference resolution. In
other words, a way for e.g. JSON Schema tooling to resolve the $ref keywords
across all drafts without needing to implement support themselves.

%prep
%autosetup -p1 -n referencing-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files referencing

%files -n python3-referencing -f %{pyproject_files}
%doc README.rst
%license COPYING


%changelog
* Tue Jul 02 2024 papoteur <papoteur> 0.35.1-1.mga10
+ Revision: 2078847
- new version 0.35.1

* Mon May 13 2024 papoteur <papoteur> 0.35.0-1.mga10
+ Revision: 2063998
- new version 0.35.0

* Mon Dec 25 2023 wally <wally> 0.32.0-1.mga10
+ Revision: 2021471
- new version 0.32.0

* Tue Dec 05 2023 papoteur <papoteur> 0.31.1-1.mga10
+ Revision: 2013481
- imported package python-referencing

